﻿@model WebApplication1.Models.Topic

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Topic</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateTopic">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="TopicName" class="control-label">Название темы</label>
                <input asp-for="TopicName" class="form-control" />
                <span asp-validation-for="TopicName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <textarea asp-for="TopicText" class="form-control"></textarea>
                <span asp-validation-for="TopicText" class="text-danger"></span>
            </div>
                <input type="hidden" value="@ViewBag.Date" asp-for="CreationDate" />
                <input type="hidden" asp-for="UserId" value="@ViewBag.UserId">
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
